$ErrorActionPreference = "Stop"

Set-ExecutionPolicy Bypass -Scope Process -Force

$env:chocolateyUseWindowsCompression = 'true'
$env:ChocolateyInstall = Convert-Path "$((Get-Command choco).path)\..\.."
Import-Module "$env:ChocolateyInstall\helpers\chocolateyProfile.psm1"

choco config set --name="'stopOnFirstPackageFailure'" --value="'true'"

function Write-PackageInstall($package) {
  Write-Output ""
  Write-Output "----------------------------------------------"
  Write-Output "Installing $package"
  Write-Output "----------------------------------------------"
  Write-Output ""
}
function Install-ChocoPackage($package, $options) {
  Write-PackageInstall $package
  choco install -y --no-progress $package $options
  if ($LastExitCode -ne 0) {
     throw 'Error installing with Chocolatey'
  }
}

# Java
$JAVA_VERSION = $args[0]
Install-ChocoPackage -package "openjdk$JAVA_VERSION"

# Gradle
if ( $JAVA_VERSION -eq "17" ) {
  $GRADLE_VERSION="7.4"
}
else {
  $GRADLE_VERSION="6.8.3"
}
Install-ChocoPackage  -package gradle -options --version=$GRADLE_VERSION

# Maven
$APACHE_MAVEN = "3.8.5"
Install-ChocoPackage  -package maven -options --version=$APACHE_MAVEN

# Ant
$APACHE_ANT = "1.10.12"
Install-ChocoPackage  -package ant -options --version=$APACHE_ANT

